### Struct

# EDataServer WebDAVPrivilege

#### Description

    struct EWebDAVPrivilege {
      gchar* ns_uri;
      gchar* name;
      gchar* description;
      EWebDAVPrivilegeKind kind;
      EWebDAVPrivilegeHint hint;
    }

No description available.

###### Structure members

`ns_uri:` `gchar*`

  No description available.

`name:` `gchar*`

  No description available.

`description:` `gchar*`

  No description available.

`kind:` `EWebDAVPrivilegeKind`

  No description available.

`hint:` `EWebDAVPrivilegeHint`

  No description available.

#### Constructors

###### e_webdav_privilege_new

Describes one privilege entry. The `hint` can be `E_WEBDAV_PRIVILEGE_HINT_UNKNOWN` for privileges which are not known to the `EWebDAVSession`. It’s possible, because the servers can define their own privileges. The hint is also tried to pair with known hints when it’s `E_WEBDAV_PRIVILEGE_HINT_UNKNOWN`.

since: 3.26

#### Functions

###### e_webdav_privilege_free

Frees an `EWebDAVPrivilege` previously created with `e_webdav_privilege_new()` or e_webdav_privilege_copy(). The function does nothing, if `ptr` is `NULL`.

since: 3.26

#### Instance methods

###### e_webdav_privilege_copy

No description available.

since: 3.26